; If you are going to use this channel driver, you MUST enable it in modules.conf
; noload => chan_usbradio.so ;                    CM1xx USB Cards with Radio Interface Channel Driver (DSP)
; to:
; load => chan_usbradio.so ;                    CM1xx USB Cards with Radio Interface Channel Driver (DSP)

; Usbradio channel driver Configuration File


[general]

[usb_592030]

eeprom = 0			; EEPROM installed: 0,1
				; 0 = no (default)
                        	; 1 = yes

hdwtype = 0			; Leave this set to 0 for USB sound fobs modified using
				; the instructions from usbfob.pdf. Use a setting of 
				; 1 is for Dingotel/Sph interfaces.
 
rxboost = 1			; 0 - 20db attenuator inserted
				; 1 - 20db attenuator removed
				; Set to 1 for additonal gain if using a low-level receiver output

rxctcssrelax = 1		; reduce talkoff from radios w/o CTCSS TX HPF
				; Do not change this, leave this as a 1

rxsqhyst = 3000         	; Setting Squelch Hysteresis
                        	; 3000 is the default amount.
                        	; An amount of 500 seems good.
                        	; Then set the squelch to the highest number revealed when doing a "radio
                        	; tune rxsquelch" - running the command multiple (like 20) times in a row.
                        	; <http://allstarnode.com/wiki/lib/exe/fetch.php?media=asterisk-notes-wj8g.pdf>

txctcssdefault = 100.0		; default TX CTCSS frequency, any frequency permitted
rxctcssfreqs = 100.0,91.5	; RX CTCSS frequencies list in floating point. must be in table
txctcssfreqs = 100.0,91.5	; TX CTCSS frequencies list. any frequency permitted. will follow RX CTCSS frequency
rxctcssoverride = 0		; Set to 1 to start out in carrier squelch mode

carrierfrom = dsp		; no,usb,usbinvert,dsp,vox 
				; no - no carrier detection at all
				; usb - from the COR line on the USB sound fob (Active high)
				; usbinvert - from the inverted COR line on the USB sound fob (Active low)
				; dsp - from RX noise using DSP techniques
				; vox - voice activated from RX audio

ctcssfrom = dsp			; no,usb,usbinvert,dsp
				; no - no CTCSS decoding, system will be carrier squelch
				; usb - from the CTCSS line on the USB sound fob (Active high)
				; usbinvert - from the inverted CTCSS line on the USB sound fob (Active low) 
				; dsp - CTCSS decoding using RX audio in DSP.
				; rxdemod option must be set to flat for this to work.

rxdemod = flat          	; input type from radio: no,speaker,flat
				; no - RX audio input not used
				; flat - Use RX audio from discriminator (before de-emphasis)
				; speaker - use de-emphasized audio 

rxsquelchdelay = 30		; delayline in ms carrier squelch tail eliminator 

rxondelay = 0           	; Number of 20mSec intervals following the release of PTT.
                        	; Uncomment and/or adjust for simplex nodes to eliminate "Ping Ponging"
                        	; or "Relay Racing". A positive value here will instruct the usbradio
                        	; driver to ignore the COR line for a specified number of 20mSec
                        	; intervals following the release of PTT. Use this ONLY on simplex
                        	; nodes, and leave commented out for repeaters or other full duplex nodes.

txboost = 0             	; Add transmitter audio gain boost: 0,1

txprelim = yes			; Audio processing on left output channel: no,yes
				; no - Audio is not pre-emphasized and limited. 
				; Suitable for use on a microphone input
				; yes - Audio is pre-emphasized and limited.
				; Suitable for direct connection to an FM modulator

txlimonly = yes			; Audio limiting with no pre-emphasis on output channel: no,yes
				; no - Audio is not limited. 
				; yes - Audio is  limited.
				; Suitable for transmitters with no limiting but with pre-emphasis.

txtoctype = notone		; Transmit tone control type: no,phase,notone
				; no - CTCSS tone encoding with no hang time
				; phase - encode CTCSS and reverse phase 
				; AKA ("reverse burst") before unkeying TX
				; notone - encode CTCSS and stop sending tone before unkeying TX
				; AKA ("chicken burst")

txmixa = composite		; Left channel output: no,voice,tone,composite,auxvoice
				; no - Do not output anything
				; voice - output voice only
				; tone - CTCSS tone only
				; composite - voice and tone
				; auxvoice - auxiliary voice output at headphone level for monitoring

txmixb = no			; Right channel output: no,voice,tone,composite, auxvoice
                        	; no - Do not output anything
                        	; voice - output voice only
                        	; tone - CTCSS tone only
                        	; composite - voice and tone
                        	; auxvoice - auxiliary voice output at headphone level for monitoring

; Audio filters - requires version newer than ASL_1.01
rxlpf = 0                       ; Receiver Audio Low Pass Filter 0,1 2
                                ; 0 - 3.0 kHz cutoff (Default) value for reduced noise and increased intelligibility.
                                ; 1 - 3.3 kHz cutoff for increased high end, sibilance and brightness.
                                ; 2 - 3.5 kHz cutoff for even more high end, sibilance and brightness.
rxhpf = 0                       ; Receiver Audio High Pass Filter 0,1
                                ; 0 - 300 Hz cutoff. (Default) value to reduce sub-audible signals for retransmission and in the receiver speaker.
                                ; 1 - 250 Hz cutoff for additional received and retransmitted bass response.
                                ; recommend using this filter with a CTCSS tone no higher than 186.2 Hz.
txlpf = 0                       ; Transmitter Audio Low Pass Filter 0,1
                                ; 0 - 3.0 kHz cutoff. (Default) value.
                                ; 1 - 3.3 kHz cutoff for increased high end, sibilance and brightness.
txhpf = 0                       ; Transmitter Audio High Pass Filter 0,1,2
                                ; 0 - 300 Hz cutoff. (Default) value to reduce interference between voice and sub-audible signaling tones and codes.
                                ; 1 - 250 Hz cutoff for increased bass response in transmitted audio.
                                ; 2 - 120 Hz cutoff for special applications requiring additional bass response in transmitted audio.
                                ; Not recommended due to the increased possibility of voice energy interfering with sub-audible signaling

invertptt = 0			; Invert PTT: 0,1 
				; 0 - ground to transmit
				; 1 - open to transmit

duplex = 0			; Duplex 0,1
				; 0 - half duplex
				; 1 - full duplex
duplex3 = 0			; duplex 3 gain setting (0 to disable) ???

#includeifexists custom/usbradio.conf
